#
# spec file for package python-hankel
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-hankel
Version:        0.3.5
Release:        lp150.1.1
License:        MIT
Summary:        Hankel Transformations using method of Ogata 2005
Url:            https://github.com/steven-murray/hankel
Group:          Development/Languages/Python
Source:         https://github.com/steven-murray/hankel/archive/v0.3.5.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
# SECTION test requirements
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module mpmath >= 0.18}
BuildRequires:  %{python_module numpy >= 1.6.1}
BuildRequires:  %{python_module scipy >= 0.12.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-mpmath >= 0.18
Requires:       python-numpy >= 1.6.1
Requires:       python-scipy >= 0.12.0
BuildArch:      noarch

%python_subpackages

%description
Hankel is a Python library to perform simple and accurate Hankel
transformations using the method of Ogata 2005.

%prep
%setup -q -n hankel-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec %{_bindir}/nosetests

%files %{python_files}
%doc README.rst CHANGELOG.rst
%license LICENSE.rst
%{python_sitelib}/*

%changelog
* Sat Mar 24 2018 badshah400@gmail.com
- Initial package.
